# BEGIN SourceDeps(oneline):
BuildRequires: afpfs-ng-devel libgnutls-devel perl(DBI.pm) perl(LWP/UserAgent.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define _disable_ld_no_undefined 1

Name:		medusa
Version:	2.2
Release:	alt1_8
Summary:	Medusa Parallel Network Login Auditor
License:	GPLv2
Group:		Networking/Other
URL:		http://www.foofus.net/jmk/medusa/medusa.html
Source0:	http://www.foofus.net/jmk/tools/%{name}-%{version}.tar.gz
Patch0:		349ef7f0c24b627c6dbba8bcd5b47173806473a2.patch
BuildRequires:  libapr1-devel
BuildRequires:  pkgconfig(libssh2)
BuildRequires:  libsubversion-devel
BuildRequires:  postgresql-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  pkgconfig(freerdp2)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  ncpfs-devel
Source44: import.info

%description
Medusa is intended to be a speedy, massively parallel, modular, login
brute-forcer. The goal is to support as many services which allow remote
authentication as possible. The author considers following items as some of the
key features of this application:
* Thread-based parallel testing. Brute-force testing can be performed against
  multiple hosts, users or passwords concurrently.
* Flexible user input. Target information (host/user/password) can be specified
  in a variety of ways. For example, each item can be either a single entry or
  a file containing multiple entries. Additionally, a combination file format
  allows the user to refine their target listing.
* Modular design. Each service module exists as an independent .mod file. This
  means that no modifications are necessary to the core application in order to
  extend the supported list of services for brute-forcing.

%prep
%setup -q
%patch0 -p 1

%build
# fix build on aarch64
autoreconf -vfi
	
# required type off64_t is not available under all environments, ugly hack for ugly system headers
export CPPFLAGS="-Doff64_t=__off64_t %{optflags} -fcommon"
export CFLAGS="-Doff64_t=__off64_t %{optflags} -fcommon"
%configure --enable-module-afp=yes
%make_build

%install
# required type off64_t is not available under all environments, ugly hack for ugly system headers
export CPPFLAGS="-Doff64_t=__off64_t %{optflags}" ; export CFLAGS="-Doff64_t=__off64_t %{optflags}"
%makeinstall_std

%files
%doc AUTHORS ChangeLog NEWS README TODO doc/*.html
%doc --no-dereference COPYING
%{_bindir}/medusa
%{_libdir}/medusa/
%{_mandir}/man1/medusa.1*


%changelog
* Wed Apr 19 2023 Igor Vlasenko <viy@altlinux.org> 2.2-alt1_8
- update by mgaimport

* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 2.2-alt1_7
- update by mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 2.2-alt1_5
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 2.2-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.2-alt1_3
- update by mgaimport

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 2.2-alt1_2
- update by mgaimport

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 2.2-alt1_1
- new version

* Mon Oct 29 2012 Dmitry V. Levin <ldv@altlinux.org> 2.1.1-alt1
- Blind update to 2.1.1.

* Mon Oct 29 2012 Dmitry V. Levin <ldv@altlinux.org> 2.0-alt1.7
- Blind rebuild with new postfix.

* Tue Jul 31 2012 Fr. Br. George <george@altlinux.ru> 2.0-alt1.6
- Blind rebuild with postfix 2.9.3

* Thu Jul 12 2012 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0-alt1.5
- Fixed build

* Thu Jul 14 2011 Dmitry V. Levin <ldv@altlinux.org> 2.0-alt1.4
- Blind rebuild with postfix-2.5.14.

* Mon May 09 2011 Dmitry V. Levin <ldv@altlinux.org> 2.0-alt1.3
- Blind rebuild with postfix-2.5.13.

* Tue Mar 08 2011 Dmitry V. Levin <ldv@altlinux.org> 2.0-alt1.2
- Blind rebuild with postfix-2.5.12.

* Sat Dec 04 2010 Dmitry V. Levin <ldv@altlinux.org> 2.0-alt1.1
- Blind rebuild with postfix-2.5.11.

* Wed Oct 20 2010 Slava Dubrovskiy <dubrsl@altlinux.org> 2.0-alt1
- New version

* Tue May 26 2009 Slava Dubrovskiy <dubrsl@altlinux.ru> 1.5-alt1
- Build for ALT
